using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Prepletanje_naključnih_tabel
{
    class Program
    {
        static void Main(string[] args)
        {
            //najprej podam zahtevo za velikost tabel
            Console.Write("Vnesi podatek za velikost obeh tabel: ");
            int dolzina = int.Parse(Console.ReadLine());
            //pripravimo tabelo z števkami
            int[] tabStevk = new int[dolzina];
            //in jo napolnimo
            Random stevke = new Random();
            for (int i = 0; i < tabStevk.Length; i++)
            {
                // stevke so seveda od 0 do 9
                tabStevk[i] = stevke.Next(0, 10);
            }
            // pripravimo tabelo z črkami
            char[] tabCrk = new char[dolzina];
            //in jo napolnimo
            Random crke = new Random();
            int a = 'a';
            int z = 'z';
            for (int i = 0; i < tabCrk.Length; i++)
            {
                //polnjenje tabele z naključnimi črkami od a do z
                tabCrk[i] = (char)crke.Next(a, z + 1);
            }
            //pripravimo novo tabelo za prepletanje
            string[] prepletenaTabela = new string[dolzina * 2];
            // v novo tabelo najprej na vsako sodo mesto vnesem
            // podatke iz tabCrk
            for (int i = 0; i < prepletenaTabela.Length; i = i + 2)
            {
                prepletenaTabela[i] = "" + (tabCrk[i / 2]);
            }
            // sedaj pa se na vsako liho mesto vnesem podatke
            // iz tabStevk
            for (int i = 1; i < prepletenaTabela.Length; i = i + 2)
            {
                prepletenaTabela[i] = "" + (tabStevk[i / 2]);
            }
            // naredimo še izpis vseh treh tabel
            // najprej za tabCrk
            Console.WriteLine("\nIzpis table sestavljene iz črk angleške abecede:");
            for (int i = 0; i < tabCrk.Length; i++)
            {
                Console.Write(tabCrk[i] + "\t");
                if ((i + 1) % 10 == 0)
                { // po vsakem desetem izpisu se prestavi v novo vrsto
                    Console.WriteLine();
                }
            }
            //izpis tabele stevk
            Console.WriteLine("\nIzpis table sestavljene iz števk:");
            for (int i = 0; i < tabStevk.Length; i++)
            {
                Console.Write(tabStevk[i] + "\t");
                if ((i + 1) % 10 == 0)
                { // po vsakem desetem izpisu se prestavi v novo vrsto
                    Console.WriteLine();
                }
            }
            // in še izpis prepletene tabele
            Console.WriteLine("\nIzpis sestavljene tabele:");
            for (int i = 0; i < prepletenaTabela.Length; i++)
            {
                Console.Write(prepletenaTabela[i] + "\t");
                if ((i + 1) % 10 == 0)
                { // po vsakem desetem izpisu se prestavi v novo vrsto
                    Console.WriteLine();
                }
            }
            Console.Write("\n\nPritisni ENTER za izhod ...");
            Console.Read();
        }
    }
}